import { ToolbarActionToggle } from '..';
export type ResourceItem = {
    name: string;
    src?: string;
    items?: ResourceItem[];
};
export declare class Resource extends ToolbarActionToggle {
    protected resources: ResourceItem[];
    get enabled(): boolean;
    protected init(): void;
    open(): void;
    close(): void;
    protected item(items: ResourceItem[]): HTMLUListElement;
    protected parseExtension(path: string): "txt" | "image" | "audio" | "video" | "pdf" | "doc" | "xls" | "ppt" | "zip" | undefined;
}
